Subject: Re: bug#50567: [core-updates-frozen] icedtea-6 fails to build.

From: Julien Lepiller <[email-masked]>
Date: Mon, 13 Sep 2021 10:32:43 -0400

I had the same issue on my previous attempt. It seems that using gcc-7 as an input fixes the issue (although when I tried, I had other fixes like yours too). Our gcc on core-updates seems to be too aggressive with this old code base.

Le 13 septembre 2021 09:01:55 GMT-04:00, Guillaume Le Vaillant <[email-masked]> a écrit :
>I'm trying to get icedtea-6 to build on the core-updates-frozen branch.
>I fixed a few C/C++ related issues, but then I get this error:
>
>--8<---------------cut here---------------start------------->8---
>Preload failed: checksum of class list was incorrect.
>make: *** [Makefile:2746: stamps/add-archive-ecj.stamp] Error 1
>--8<---------------cut here---------------end--------------->8---
>
>Does someone know how to solve that?
>
>Here's the patch I'm using to get to this point: